<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\LocationLog as dwLogModel;

class LocationLog extends CatchController
{
    protected $dwLogModel;
    
    public function __construct(DwLogModel $dwLogModel)
    {
        $this->dwLogModel = $dwLogModel;
    }
    
    /**
     * 列表
     * @time 2021年06月17日 11:12
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->dwLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年06月17日 11:12
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->dwLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年06月17日 11:12
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->dwLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年06月17日 11:12
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->dwLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年06月17日 11:12
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->dwLogModel->deleteBy($id));
    }
}