<?php

namespace catchAdmin\yunying\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\yunying\model\Insurance as insuranceModel;

class Insurance extends CatchController
{
    protected $insuranceModel;
    
    public function __construct(InsuranceModel $insuranceModel)
    {
        $this->insuranceModel = $insuranceModel;
    }
    
    /**
     * 列表
     * @time 2022年09月15日 09:42
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->insuranceModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年09月15日 09:42
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->insuranceModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年09月15日 09:42
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->insuranceModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年09月15日 09:42
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->insuranceModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年09月15日 09:42
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->insuranceModel->deleteBy($id));
    }
}